Index: NonGTP/Devil/include/IL/ilu.h
===================================================================
--- NonGTP/Devil/include/IL/ilu.h	(revision 191)
+++ NonGTP/Devil/include/IL/ilu.h	(revision 191)
@@ -0,0 +1,190 @@
+//-----------------------------------------------------------------------------
+//
+// ImageLib Utility Sources
+// Copyright (C) 2000-2002 by Denton Woods
+// Last modified: 06/23/2002 <--Y2K Compliant! =]
+//
+// Filename: IL/ilu.h
+//
+// Description: The main include file for ILU
+//
+//-----------------------------------------------------------------------------
+
+
+#ifndef __ilu_h_
+#ifndef __ILU_H__
+
+#define __ilu_h_
+#define __ILU_H__
+
+#include <IL/il.h>
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+/*
+#ifdef _WIN32
+	#if defined(_MSC_VER) || defined(__BORLANDC__)
+		#ifndef IL_STATIC_LIB
+			#pragma comment(lib, "DevIL_DLL.lib")
+			#ifndef _IL_BUILD_LIBRARY
+				#pragma comment(lib, "DevILU_DLL.lib")
+			#endif
+		#else
+			#ifndef _IL_BUILD_LIBRARY
+				#ifdef  IL_DEBUG
+					#pragma comment(lib, "DevILU_DBG.lib")
+				#else
+					#pragma comment(lib, "DevILU.lib")
+				#endif//IL_DEBUG
+			#endif
+		#endif
+	#endif
+#endif
+*/
+
+
+#define ILU_VERSION_1_6_7					1
+#define ILU_VERSION							167
+
+
+#define ILU_FILTER							0x2600
+#define ILU_NEAREST							0x2601
+#define ILU_LINEAR							0x2602
+#define ILU_BILINEAR						0x2603
+#define ILU_SCALE_BOX						0x2604
+#define ILU_SCALE_TRIANGLE					0x2605
+#define ILU_SCALE_BELL						0x2606
+#define ILU_SCALE_BSPLINE					0x2607
+#define ILU_SCALE_LANCZOS3					0x2608
+#define ILU_SCALE_MITCHELL					0x2609
+
+
+// Error types
+#define ILU_INVALID_ENUM					0x0501
+#define ILU_OUT_OF_MEMORY					0x0502
+#define ILU_INTERNAL_ERROR					0x0504
+#define ILU_INVALID_VALUE					0x0505
+#define ILU_ILLEGAL_OPERATION				0x0506
+#define ILU_INVALID_PARAM					0x0509
+
+
+// Values
+#define ILU_PLACEMENT						0x0700
+#define ILU_LOWER_LEFT						0x0701
+#define ILU_LOWER_RIGHT						0x0702
+#define ILU_UPPER_LEFT						0x0703
+#define ILU_UPPER_RIGHT						0x0704
+#define ILU_CENTER							0x0705
+#define ILU_CONVOLUTION_MATRIX				0x0710
+#define ILU_VERSION_NUM						IL_VERSION_NUM
+#define ILU_VENDOR							IL_VENDOR
+
+
+// Filters
+/*
+#define ILU_FILTER_BLUR						0x0803
+#define ILU_FILTER_GAUSSIAN_3x3				0x0804
+#define ILU_FILTER_GAUSSIAN_5X5				0x0805
+#define ILU_FILTER_EMBOSS1					0x0807
+#define ILU_FILTER_EMBOSS2					0x0808
+#define ILU_FILTER_LAPLACIAN1				0x080A
+#define ILU_FILTER_LAPLACIAN2				0x080B
+#define ILU_FILTER_LAPLACIAN3				0x080C
+#define ILU_FILTER_LAPLACIAN4				0x080D
+#define ILU_FILTER_SHARPEN1					0x080E
+#define ILU_FILTER_SHARPEN2					0x080F
+#define ILU_FILTER_SHARPEN3					0x0810
+*/
+
+
+typedef struct ILinfo
+{
+	ILuint	Id;					// the image's id
+	ILubyte	*Data;				// the image's data
+	ILuint	Width;				// the image's width
+	ILuint	Height;				// the image's height
+	ILuint	Depth;				// the image's depth
+	ILubyte	Bpp;				// bytes per pixel (not bits) of the image
+	ILuint	SizeOfData;			// the total size of the data (in bytes)
+	ILenum	Format;				// image format (in IL enum style)
+	ILenum	Type;				// image type (in IL enum style)
+	ILenum	Origin;				// origin of the image
+	ILubyte	*Palette;			// the image's palette
+	ILenum	PalType;			// palette type
+	ILuint	PalSize;			// palette size
+	ILenum	CubeFlags;			// flags for what cube map sides are present
+	ILuint	NumNext;			// number of images following
+	ILuint	NumMips;			// number of mipmaps
+	ILuint	NumLayers;			// number of layers
+} ILinfo;
+
+
+typedef struct ILpointf
+{
+	ILfloat x, y;
+} ILpointf;
+
+typedef struct ILpointi
+{
+	ILint x, y;
+} ILpointi;
+
+
+// ImageLib Utility Functions
+ILAPI ILboolean			ILAPIENTRY iluAlienify(ILvoid);
+ILAPI ILboolean			ILAPIENTRY iluBlurAvg(ILuint Iter);
+ILAPI ILboolean			ILAPIENTRY iluBlurGaussian(ILuint Iter);
+ILAPI ILboolean			ILAPIENTRY iluBuildMipmaps(ILvoid);
+ILAPI ILuint			ILAPIENTRY iluColoursUsed(ILvoid);
+ILAPI ILboolean			ILAPIENTRY iluCompareImage(ILuint Comp);
+ILAPI ILboolean			ILAPIENTRY iluContrast(ILfloat Contrast);
+ILAPI ILboolean			ILAPIENTRY iluCrop(ILuint XOff, ILuint YOff, ILuint ZOff, ILuint Width, ILuint Height, ILuint Depth);
+ILAPI ILvoid			ILAPIENTRY iluDeleteImage(ILuint Id);
+ILAPI ILboolean			ILAPIENTRY iluEdgeDetectE(ILvoid);
+ILAPI ILboolean			ILAPIENTRY iluEdgeDetectP(ILvoid);
+ILAPI ILboolean			ILAPIENTRY iluEdgeDetectS(ILvoid);
+ILAPI ILboolean			ILAPIENTRY iluEmboss(ILvoid);
+ILAPI ILboolean			ILAPIENTRY iluEnlargeCanvas(ILuint Width, ILuint Height, ILuint Depth);
+ILAPI ILboolean			ILAPIENTRY iluEnlargeImage(ILfloat XDim, ILfloat YDim, ILfloat ZDim);
+ILAPI ILboolean			ILAPIENTRY iluEqualize(ILvoid);
+ILAPI const ILstring	ILAPIENTRY iluErrorString(ILenum Error);
+ILAPI ILboolean			ILAPIENTRY iluFlipImage(ILvoid);
+ILAPI ILboolean			ILAPIENTRY iluGammaCorrect(ILfloat Gamma);
+ILAPI ILuint			ILAPIENTRY iluGenImage(ILvoid);
+ILAPI ILvoid			ILAPIENTRY iluGetImageInfo(ILinfo *Info);
+ILAPI ILint				ILAPIENTRY iluGetInteger(ILenum Mode);
+ILAPI ILvoid			ILAPIENTRY iluGetIntegerv(ILenum Mode, ILint *Param);
+ILAPI const ILstring	ILAPIENTRY iluGetString(ILenum StringName);
+ILAPI ILvoid			ILAPIENTRY iluImageParameter(ILenum PName, ILenum Param);
+ILAPI ILvoid			ILAPIENTRY iluInit(ILvoid);
+ILAPI ILboolean			ILAPIENTRY iluInvertAlpha(ILvoid);
+ILAPI ILuint			ILAPIENTRY iluLoadImage(const ILstring FileName);
+ILAPI ILboolean			ILAPIENTRY iluMirror(ILvoid);
+ILAPI ILboolean			ILAPIENTRY iluNegative(ILvoid);
+ILAPI ILboolean			ILAPIENTRY iluNoisify(ILclampf Tolerance);
+ILAPI ILboolean			ILAPIENTRY iluPixelize(ILuint PixSize);
+ILAPI ILvoid			ILAPIENTRY iluRegionfv(ILpointf *Points, ILuint n);
+ILAPI ILvoid			ILAPIENTRY iluRegioniv(ILpointi *Points, ILuint n);
+ILAPI ILboolean			ILAPIENTRY iluReplaceColour(ILubyte Red, ILubyte Green, ILubyte Blue, ILfloat Tolerance);
+ILAPI ILboolean			ILAPIENTRY iluRotate(ILfloat Angle);
+ILAPI ILboolean			ILAPIENTRY iluRotate3D(ILfloat x, ILfloat y, ILfloat z, ILfloat Angle);
+ILAPI ILboolean			ILAPIENTRY iluSaturate1f(ILfloat Saturation);
+ILAPI ILboolean			ILAPIENTRY iluSaturate4f(ILfloat r, ILfloat g, ILfloat b, ILfloat Saturation);
+ILAPI ILboolean			ILAPIENTRY iluScale(ILuint Width, ILuint Height, ILuint Depth);
+ILAPI ILboolean			ILAPIENTRY iluScaleColours(ILfloat r, ILfloat g, ILfloat b);
+ILAPI ILboolean			ILAPIENTRY iluSharpen(ILfloat Factor, ILuint Iter);
+ILAPI ILboolean			ILAPIENTRY iluSwapColours(ILvoid);
+ILAPI ILboolean			ILAPIENTRY iluWave(ILfloat Angle);
+
+#define iluColorsUsed	iluColoursUsed
+#define iluSwapColors	iluSwapColours
+#define iluReplaceColor	iluReplaceColour
+#define iluScaleColor	iluScaleColour
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif // __ILU_H__
+#endif // __ilu_h_
Index: NonGTP/Devil/include/IL/config.h.in
===================================================================
--- NonGTP/Devil/include/IL/config.h.in	(revision 191)
+++ NonGTP/Devil/include/IL/config.h.in	(revision 191)
@@ -0,0 +1,62 @@
+/* include/IL/config.h.in.  Generated automatically from configure.in by autoheader.  */
+#ifndef __CONFIG_H__
+#define __CONFIG_H__
+
+
+/* Supported images formats (il) */
+
+#undef IL_NO_BMP
+#undef IL_NO_CUT
+#undef IL_NO_DCX
+#undef IL_NO_DDS
+#undef IL_NO_DOOM
+#undef IL_NO_GIF
+#undef IL_NO_ICO
+#undef IL_NO_JPG
+#undef IL_NO_LCMS
+#undef IL_NO_LIF
+#undef IL_NO_MDL
+#undef IL_NO_MNG
+#undef IL_NO_PCD
+#undef IL_NO_PCX
+#undef IL_NO_PIC
+#undef IL_NO_PIX
+#undef IL_NO_PNG
+#undef IL_NO_PNM
+#undef IL_NO_PSD
+#undef IL_NO_PSP
+#undef IL_NO_PXR
+#undef IL_NO_RAW
+#undef IL_NO_SGI
+#undef IL_NO_TGA
+#undef IL_NO_TIF
+#undef IL_NO_WAL
+#undef IL_NO_XPM
+#undef IL_USE_JPEGLIB_UNMODIFIED
+
+/* Supported api (ilut) */
+
+#undef ILUT_USE_ALLEGRO
+#undef ILUT_USE_DIRECTX8
+#undef ILUT_USE_DIRECTX9
+#undef ILUT_USE_OPENGL
+#undef ILUT_USE_SDL
+#undef ILUT_USE_WIN32
+
+
+/* Define if you have the <dlfcn.h> header file. */
+#undef HAVE_DLFCN_H
+
+/* Name of package */
+#undef PACKAGE
+
+/* Version number of package */
+#undef VERSION
+
+/* Define if your processor stores words with the most significant byte first
+   (like Motorola and SPARC, unlike Intel and VAX). */
+#undef WORDS_BIGENDIAN
+
+/* Define if the X Window System is missing or not being used. */
+#undef X_DISPLAY_MISSING
+#endif /* __CONFIG_H__ */
Index: NonGTP/Devil/include/IL/Makefile.in
===================================================================
--- NonGTP/Devil/include/IL/Makefile.in	(revision 191)
+++ NonGTP/Devil/include/IL/Makefile.in	(revision 191)
@@ -0,0 +1,433 @@
+# Makefile.in generated by automake 1.7.1 from Makefile.am.
+# @configure_input@
+
+# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
+# Free Software Foundation, Inc.
+# This Makefile.in is free software; the Free Software Foundation
+# gives unlimited permission to copy and/or distribute it,
+# with or without modifications, as long as this notice is preserved.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE.
+
+@SET_MAKE@
+
+srcdir = @srcdir@
+top_srcdir = @top_srcdir@
+VPATH = @srcdir@
+pkgdatadir = $(datadir)/@PACKAGE@
+pkglibdir = $(libdir)/@PACKAGE@
+pkgincludedir = $(includedir)/@PACKAGE@
+top_builddir = ../..
+
+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
+INSTALL = @INSTALL@
+install_sh_DATA = $(install_sh) -c -m 644
+install_sh_PROGRAM = $(install_sh) -c
+install_sh_SCRIPT = $(install_sh) -c
+INSTALL_HEADER = $(INSTALL_DATA)
+transform = $(program_transform_name)
+NORMAL_INSTALL = :
+PRE_INSTALL = :
+POST_INSTALL = :
+NORMAL_UNINSTALL = :
+PRE_UNINSTALL = :
+POST_UNINSTALL = :
+host_triplet = @host@
+ACLOCAL = @ACLOCAL@
+AMDEP_FALSE = @AMDEP_FALSE@
+AMDEP_TRUE = @AMDEP_TRUE@
+AMTAR = @AMTAR@
+AR = @AR@
+AS = @AS@
+AUTOCONF = @AUTOCONF@
+AUTOHEADER = @AUTOHEADER@
+AUTOMAKE = @AUTOMAKE@
+AWK = @AWK@
+CC = @CC@
+CCDEPMODE = @CCDEPMODE@
+CFLAGS = @CFLAGS@
+CPP = @CPP@
+CPPFLAGS = @CPPFLAGS@
+CXX = @CXX@
+CXXCPP = @CXXCPP@
+CXXDEPMODE = @CXXDEPMODE@
+CXXFLAGS = @CXXFLAGS@
+CYGPATH_W = @CYGPATH_W@
+DEFS = @DEFS@
+DEPDIR = @DEPDIR@
+DEVIL_LTVERSION = @DEVIL_LTVERSION@
+DLLTOOL = @DLLTOOL@
+ECHO = @ECHO@
+ECHO_C = @ECHO_C@
+ECHO_N = @ECHO_N@
+ECHO_T = @ECHO_T@
+EGREP = @EGREP@
+EXEEXT = @EXEEXT@
+F77 = @F77@
+FFLAGS = @FFLAGS@
+HALLEGRO = @HALLEGRO@
+HSDL = @HSDL@
+IL_NO_BMP_FALSE = @IL_NO_BMP_FALSE@
+IL_NO_BMP_TRUE = @IL_NO_BMP_TRUE@
+IL_NO_DCX_FALSE = @IL_NO_DCX_FALSE@
+IL_NO_DCX_TRUE = @IL_NO_DCX_TRUE@
+IL_NO_DDS_FALSE = @IL_NO_DDS_FALSE@
+IL_NO_DDS_TRUE = @IL_NO_DDS_TRUE@
+IL_NO_DOOM_FALSE = @IL_NO_DOOM_FALSE@
+IL_NO_DOOM_TRUE = @IL_NO_DOOM_TRUE@
+IL_NO_GIF_FALSE = @IL_NO_GIF_FALSE@
+IL_NO_GIF_TRUE = @IL_NO_GIF_TRUE@
+IL_NO_ICO_FALSE = @IL_NO_ICO_FALSE@
+IL_NO_ICO_TRUE = @IL_NO_ICO_TRUE@
+IL_NO_JPG_FALSE = @IL_NO_JPG_FALSE@
+IL_NO_JPG_TRUE = @IL_NO_JPG_TRUE@
+IL_NO_LCMS_FALSE = @IL_NO_LCMS_FALSE@
+IL_NO_LCMS_TRUE = @IL_NO_LCMS_TRUE@
+IL_NO_LIF_FALSE = @IL_NO_LIF_FALSE@
+IL_NO_LIF_TRUE = @IL_NO_LIF_TRUE@
+IL_NO_MDL_FALSE = @IL_NO_MDL_FALSE@
+IL_NO_MDL_TRUE = @IL_NO_MDL_TRUE@
+IL_NO_MNG_FALSE = @IL_NO_MNG_FALSE@
+IL_NO_MNG_TRUE = @IL_NO_MNG_TRUE@
+IL_NO_PCD_FALSE = @IL_NO_PCD_FALSE@
+IL_NO_PCD_TRUE = @IL_NO_PCD_TRUE@
+IL_NO_PCX_FALSE = @IL_NO_PCX_FALSE@
+IL_NO_PCX_TRUE = @IL_NO_PCX_TRUE@
+IL_NO_PIC_FALSE = @IL_NO_PIC_FALSE@
+IL_NO_PIC_TRUE = @IL_NO_PIC_TRUE@
+IL_NO_PIX_FALSE = @IL_NO_PIX_FALSE@
+IL_NO_PIX_TRUE = @IL_NO_PIX_TRUE@
+IL_NO_PNG_FALSE = @IL_NO_PNG_FALSE@
+IL_NO_PNG_TRUE = @IL_NO_PNG_TRUE@
+IL_NO_PNM_FALSE = @IL_NO_PNM_FALSE@
+IL_NO_PNM_TRUE = @IL_NO_PNM_TRUE@
+IL_NO_PSD_FALSE = @IL_NO_PSD_FALSE@
+IL_NO_PSD_TRUE = @IL_NO_PSD_TRUE@
+IL_NO_PSP_FALSE = @IL_NO_PSP_FALSE@
+IL_NO_PSP_TRUE = @IL_NO_PSP_TRUE@
+IL_NO_PXR_FALSE = @IL_NO_PXR_FALSE@
+IL_NO_PXR_TRUE = @IL_NO_PXR_TRUE@
+IL_NO_RAW_FALSE = @IL_NO_RAW_FALSE@
+IL_NO_RAW_TRUE = @IL_NO_RAW_TRUE@
+IL_NO_SGI_FALSE = @IL_NO_SGI_FALSE@
+IL_NO_SGI_TRUE = @IL_NO_SGI_TRUE@
+IL_NO_TGA_FALSE = @IL_NO_TGA_FALSE@
+IL_NO_TGA_TRUE = @IL_NO_TGA_TRUE@
+IL_NO_TIF_FALSE = @IL_NO_TIF_FALSE@
+IL_NO_TIF_TRUE = @IL_NO_TIF_TRUE@
+IL_NO_WAL_FALSE = @IL_NO_WAL_FALSE@
+IL_NO_WAL_TRUE = @IL_NO_WAL_TRUE@
+IL_NO_XPM_FALSE = @IL_NO_XPM_FALSE@
+IL_NO_XPM_TRUE = @IL_NO_XPM_TRUE@
+INSTALL_DATA = @INSTALL_DATA@
+INSTALL_PROGRAM = @INSTALL_PROGRAM@
+INSTALL_SCRIPT = @INSTALL_SCRIPT@
+INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+LDFLAGS = @LDFLAGS@
+LIBALLEGRO = @LIBALLEGRO@
+LIBGDI32 = @LIBGDI32@
+LIBGL = @LIBGL@
+LIBILUT_CFLAGS = @LIBILUT_CFLAGS@
+LIBILUT_WIN32LIBPATH = @LIBILUT_WIN32LIBPATH@
+LIBILU_CFLAGS = @LIBILU_CFLAGS@
+LIBIL_CFLAGS = @LIBIL_CFLAGS@
+LIBJPG = @LIBJPG@
+LIBLCMS = @LIBLCMS@
+LIBMNG = @LIBMNG@
+LIBOBJS = @LIBOBJS@
+LIBPNG = @LIBPNG@
+LIBS = @LIBS@
+LIBSDL = @LIBSDL@
+LIBTIFF = @LIBTIFF@
+LIBTOOL = @LIBTOOL@
+LN_S = @LN_S@
+LTLIBOBJS = @LTLIBOBJS@
+MAINT = @MAINT@
+MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
+MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
+MAKEINFO = @MAKEINFO@
+OBJDUMP = @OBJDUMP@
+OBJEXT = @OBJEXT@
+PACKAGE = @PACKAGE@
+PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
+PACKAGE_NAME = @PACKAGE_NAME@
+PACKAGE_STRING = @PACKAGE_STRING@
+PACKAGE_TARNAME = @PACKAGE_TARNAME@
+PACKAGE_VERSION = @PACKAGE_VERSION@
+PATH_SEPARATOR = @PATH_SEPARATOR@
+RANLIB = @RANLIB@
+SDL_CFLAGS = @SDL_CFLAGS@
+SDL_CONFIG = @SDL_CONFIG@
+SDL_LIBS = @SDL_LIBS@
+SET_MAKE = @SET_MAKE@
+SHELL = @SHELL@
+STRIP = @STRIP@
+VERSION = @VERSION@
+VERSIONINFO = @VERSIONINFO@
+X_CFLAGS = @X_CFLAGS@
+X_EXTRA_LIBS = @X_EXTRA_LIBS@
+X_LIBS = @X_LIBS@
+X_PRE_LIBS = @X_PRE_LIBS@
+ac_ct_AR = @ac_ct_AR@
+ac_ct_AS = @ac_ct_AS@
+ac_ct_CC = @ac_ct_CC@
+ac_ct_CXX = @ac_ct_CXX@
+ac_ct_DLLTOOL = @ac_ct_DLLTOOL@
+ac_ct_F77 = @ac_ct_F77@
+ac_ct_OBJDUMP = @ac_ct_OBJDUMP@
+ac_ct_RANLIB = @ac_ct_RANLIB@
+ac_ct_STRIP = @ac_ct_STRIP@
+allegro_config = @allegro_config@
+am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
+am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
+am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
+am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
+am__include = @am__include@
+am__quote = @am__quote@
+bindir = @bindir@
+build = @build@
+build_alias = @build_alias@
+build_cpu = @build_cpu@
+build_os = @build_os@
+build_vendor = @build_vendor@
+datadir = @datadir@
+exec_prefix = @exec_prefix@
+host = @host@
+host_alias = @host_alias@
+host_cpu = @host_cpu@
+host_os = @host_os@
+host_vendor = @host_vendor@
+includedir = @includedir@
+infodir = @infodir@
+install_sh = @install_sh@
+libdir = @libdir@
+libexecdir = @libexecdir@
+localstatedir = @localstatedir@
+mandir = @mandir@
+oldincludedir = @oldincludedir@
+prefix = @prefix@
+program_transform_name = @program_transform_name@
+sbindir = @sbindir@
+sdl_major_version = @sdl_major_version@
+sdl_micro_version = @sdl_micro_version@
+sdl_minor_version = @sdl_minor_version@
+sharedstatedir = @sharedstatedir@
+sysconfdir = @sysconfdir@
+target = @target@
+target_alias = @target_alias@
+target_cpu = @target_cpu@
+target_os = @target_os@
+target_vendor = @target_vendor@
+ILincludedir = $(includedir)/IL
+
+ILinclude_HEADERS = il.h ilu.h ilut.h il_wrap.h config.h devil_internal_exports.h ilu_region.h
+subdir = include/IL
+mkinstalldirs = $(SHELL) $(top_srcdir)/libtools/mkinstalldirs
+CONFIG_HEADER = config.h
+CONFIG_CLEAN_FILES =
+depcomp =
+am__depfiles_maybe =
+DIST_SOURCES =
+HEADERS = $(ILinclude_HEADERS)
+
+all: config.h
+	$(MAKE) $(AM_MAKEFLAGS) all-am
+
+.SUFFIXES:
+$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
+	cd $(top_srcdir) && \
+	  $(AUTOMAKE) --cygnus  include/IL/Makefile
+Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in  $(top_builddir)/config.status
+	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
+
+config.h: stamp-h1
+	@if test ! -f $@; then \
+	  rm -f stamp-h1; \
+	  $(MAKE) stamp-h1; \
+	else :; fi
+
+stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
+	@rm -f stamp-h1
+	cd $(top_builddir) && $(SHELL) ./config.status include/IL/config.h
+
+$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(top_srcdir)/configure.in $(ACLOCAL_M4) $(top_srcdir)/acconfig.h
+	cd $(top_srcdir) && $(AUTOHEADER)
+	touch $(srcdir)/config.h.in
+
+distclean-hdr:
+	-rm -f config.h stamp-h1
+
+mostlyclean-libtool:
+	-rm -f *.lo
+
+clean-libtool:
+	-rm -rf .libs _libs
+
+distclean-libtool:
+	-rm -f libtool
+uninstall-info-am:
+ILincludeHEADERS_INSTALL = $(INSTALL_HEADER)
+install-ILincludeHEADERS: $(ILinclude_HEADERS)
+	@$(NORMAL_INSTALL)
+	$(mkinstalldirs) $(DESTDIR)$(ILincludedir)
+	@list='$(ILinclude_HEADERS)'; for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  f="`echo $$p | sed -e 's|^.*/||'`"; \
+	  echo " $(ILincludeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(ILincludedir)/$$f"; \
+	  $(ILincludeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(ILincludedir)/$$f; \
+	done
+
+uninstall-ILincludeHEADERS:
+	@$(NORMAL_UNINSTALL)
+	@list='$(ILinclude_HEADERS)'; for p in $$list; do \
+	  f="`echo $$p | sed -e 's|^.*/||'`"; \
+	  echo " rm -f $(DESTDIR)$(ILincludedir)/$$f"; \
+	  rm -f $(DESTDIR)$(ILincludedir)/$$f; \
+	done
+
+ETAGS = etags
+ETAGSFLAGS =
+
+CTAGS = ctags
+CTAGSFLAGS =
+
+tags: TAGS
+
+ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
+	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
+	unique=`for i in $$list; do \
+	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
+	  done | \
+	  $(AWK) '    { files[$$0] = 1; } \
+	       END { for (i in files) print i; }'`; \
+	mkid -fID $$unique
+
+TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
+		$(TAGS_FILES) $(LISP)
+	tags=; \
+	here=`pwd`; \
+	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
+	unique=`for i in $$list; do \
+	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
+	  done | \
+	  $(AWK) '    { files[$$0] = 1; } \
+	       END { for (i in files) print i; }'`; \
+	test -z "$(ETAGS_ARGS)$$tags$$unique" \
+	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
+	     $$tags $$unique
+
+ctags: CTAGS
+CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
+		$(TAGS_FILES) $(LISP)
+	tags=; \
+	here=`pwd`; \
+	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
+	unique=`for i in $$list; do \
+	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
+	  done | \
+	  $(AWK) '    { files[$$0] = 1; } \
+	       END { for (i in files) print i; }'`; \
+	test -z "$(CTAGS_ARGS)$$tags$$unique" \
+	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
+	     $$tags $$unique
+
+GTAGS:
+	here=`$(am__cd) $(top_builddir) && pwd` \
+	  && cd $(top_srcdir) \
+	  && gtags -i $(GTAGS_ARGS) $$here
+
+distclean-tags:
+	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
+check-am:
+check: check-am
+all-am: Makefile $(HEADERS) config.h
+
+installdirs:
+	$(mkinstalldirs) $(DESTDIR)$(ILincludedir)
+
+install: install-am
+install-exec: install-exec-am
+install-data: install-data-am
+uninstall: uninstall-am
+
+install-am: all-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+
+installcheck: installcheck-am
+install-strip:
+	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+	  INSTALL_STRIP_FLAG=-s \
+	  `test -z '$(STRIP)' || \
+	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
+mostlyclean-generic:
+
+clean-generic:
+
+distclean-generic:
+	-rm -f Makefile $(CONFIG_CLEAN_FILES)
+
+maintainer-clean-generic:
+	@echo "This command is intended for maintainers to use"
+	@echo "it deletes files that may require special tools to rebuild."
+clean: clean-am
+
+clean-am: clean-generic clean-libtool mostlyclean-am
+
+distclean: distclean-am
+
+distclean-am: clean-am distclean-generic distclean-hdr distclean-libtool \
+	distclean-tags
+
+dvi: dvi-am
+
+dvi-am:
+
+info: info-am
+
+info-am:
+
+install-data-am: install-ILincludeHEADERS
+
+install-exec-am:
+
+install-info:
+
+install-man:
+
+installcheck-am:
+
+maintainer-clean: maintainer-clean-am
+
+maintainer-clean-am: distclean-am maintainer-clean-generic
+
+mostlyclean: mostlyclean-am
+
+mostlyclean-am: mostlyclean-generic mostlyclean-libtool
+
+pdf: pdf-am
+
+pdf-am:
+
+ps: ps-am
+
+ps-am:
+
+uninstall-am: uninstall-ILincludeHEADERS
+
+.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
+	clean-libtool ctags distclean distclean-generic distclean-hdr \
+	distclean-libtool distclean-tags dvi dvi-am info info-am \
+	install install-ILincludeHEADERS install-am install-data \
+	install-data-am install-exec install-exec-am install-info \
+	install-info-am install-man install-strip installcheck \
+	installcheck-am installdirs maintainer-clean \
+	maintainer-clean-generic mostlyclean mostlyclean-generic \
+	mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
+	uninstall-ILincludeHEADERS uninstall-am uninstall-info-am
+
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
+# Otherwise a system limit (for SysV at least) may be exceeded.
+.NOEXPORT:
Index: NonGTP/Devil/include/IL/ilu_region.h
===================================================================
--- NonGTP/Devil/include/IL/ilu_region.h	(revision 191)
+++ NonGTP/Devil/include/IL/ilu_region.h	(revision 191)
@@ -0,0 +1,27 @@
+//-----------------------------------------------------------------------------
+//
+// ImageLib Utility Sources
+// Copyright (C) 2000-2002 by Denton Woods
+// Last modified: 07/09/2002 <--Y2K Compliant! =]
+//
+// Filename: src-ILU/src/ilu_region.h
+//
+// Description: Creates an image region.
+//
+//-----------------------------------------------------------------------------
+
+#ifndef ILU_REGION_H
+#define ILU_REGION_H
+
+#include "ilu_internal.h"
+
+
+typedef struct Edge
+{
+	ILint	yUpper;
+	ILfloat	xIntersect, dxPerScan;
+	struct	Edge *next;
+} Edge;
+
+
+#endif//ILU_REGION_H
Index: NonGTP/Devil/include/IL/il_wrap.h
===================================================================
--- NonGTP/Devil/include/IL/il_wrap.h	(revision 191)
+++ NonGTP/Devil/include/IL/il_wrap.h	(revision 191)
@@ -0,0 +1,205 @@
+#ifndef WRAPPER_H
+#define WRAPPER_H
+
+/*#include <il/il.h>
+#include <il/ilu.h>*/
+#include <il/ilut.h>  // Probably only have to #include this one
+
+#ifdef _MSC_VER
+	#ifndef _IL_WRAP_BUILD_LIB
+		#pragma comment(lib, "il_wrap.lib")
+	#endif
+#endif
+
+class ilImage
+{
+public:
+				ilImage();
+				ilImage(char *);
+				ilImage(const ilImage &);
+	virtual		~ilImage();
+
+	ILboolean	Load(char *);
+	ILboolean	Load(char *, ILenum);
+	ILboolean	Save(char *);
+	ILboolean	Save(char *, ILenum);
+
+
+	// ImageLib functions
+	ILboolean	ActiveImage(ILuint);
+	ILboolean	ActiveLayer(ILuint);
+	ILboolean	ActiveMipmap(ILuint);
+	ILboolean	Clear(ILvoid);
+	ILvoid		ClearColour(ILubyte, ILubyte, ILubyte, ILubyte);
+	ILboolean	Convert(ILenum);
+	ILboolean	Copy(ILuint);
+	ILboolean	Default(ILvoid);
+	ILboolean	Flip(ILvoid);
+	ILboolean	SwapColours(ILvoid);
+	ILboolean	Resize(ILuint, ILuint, ILuint);
+	ILboolean	TexImage(ILuint, ILuint, ILuint, ILubyte, ILenum, ILenum, ILvoid*);
+
+	
+	// Image handling
+	ILvoid		Bind(ILvoid) const;
+	ILvoid		Bind(ILuint);
+	ILvoid		Close(ILvoid) { this->Delete(); }
+	ILvoid		Delete(ILvoid);
+	ILvoid		iGenBind();
+
+
+	// Image characteristics
+	ILuint		Width(ILvoid);
+	ILuint		Height(ILvoid);
+	ILuint		Depth(ILvoid);
+	ILubyte		Bpp(ILvoid);
+	ILubyte		Bitpp(ILvoid);
+	ILenum		PaletteType(ILvoid);
+	ILenum		Format(ILvoid);
+	ILenum		Type(ILvoid);
+	ILuint		NumImages(ILvoid);
+	ILuint		NumMipmaps(ILvoid);
+	ILuint		GetId(ILvoid) const;
+    ILenum      GetOrigin(ILvoid);
+	ILubyte		*GetData(ILvoid);
+	ILubyte		*GetPalette(ILvoid);
+
+
+	// Rendering
+	ILuint		BindImage(ILvoid);
+	ILuint		BindImage(ILenum);
+
+
+	// Operators
+	ilImage&	operator = (ILuint);
+	ilImage&	operator = (const ilImage &);
+
+
+protected:
+	ILuint		Id;
+
+private:
+	ILvoid		iStartUp();
+
+
+};
+
+
+class ilFilters
+{
+public:
+	static ILboolean	Alienify(ilImage &);
+	static ILboolean	BlurAvg(ilImage &, ILuint Iter);
+	static ILboolean	BlurGaussian(ilImage &, ILuint Iter);
+	static ILboolean	Contrast(ilImage &, ILfloat Contrast);
+	static ILboolean	EdgeDetectE(ilImage &);
+	static ILboolean	EdgeDetectP(ilImage &);
+	static ILboolean	EdgeDetectS(ilImage &);
+	static ILboolean	Emboss(ilImage &);
+	static ILboolean	Gamma(ilImage &, ILfloat Gamma);
+	static ILboolean	Negative(ilImage &);
+	static ILboolean	Noisify(ilImage &, ILubyte Factor);
+	static ILboolean	Pixelize(ilImage &, ILuint PixSize);
+	static ILboolean	Saturate(ilImage &, ILfloat Saturation);
+	static ILboolean	Saturate(ilImage &, ILfloat r, ILfloat g, ILfloat b, ILfloat Saturation);
+	static ILboolean	ScaleColours(ilImage &, ILfloat r, ILfloat g, ILfloat b);
+	static ILboolean	Sharpen(ilImage &, ILfloat Factor, ILuint Iter);
+};
+
+
+#ifdef ILUT_USE_OPENGL
+class ilOgl
+{
+public:
+	static ILvoid		Init(ILvoid);
+	static GLuint		BindTex(ilImage &);
+	static ILboolean	Upload(ilImage &, ILuint);
+	static GLuint		Mipmap(ilImage &);
+	static ILboolean	Screen(ILvoid);
+	static ILboolean	Screenie(ILvoid);
+};
+#endif//ILUT_USE_OPENGL
+
+
+#ifdef ILUT_USE_ALLEGRO
+class ilAlleg
+{
+public:
+	static ILvoid	Init(ILvoid);
+	static BITMAP	*Convert(ilImage &);
+};
+#endif//ILUT_USE_ALLEGRO
+
+
+#ifdef ILUT_USE_WIN32
+class ilWin32
+{
+public:
+	static ILvoid		Init(ILvoid);
+	static HBITMAP		Convert(ilImage &);
+	static ILboolean	GetClipboard(ilImage &);
+	static ILvoid		GetInfo(ilImage &, BITMAPINFO *Info);
+	static ILubyte		*GetPadData(ilImage &);
+	static HPALETTE		GetPal(ilImage &);
+	static ILboolean	GetResource(ilImage &, HINSTANCE hInst, ILint ID, char *ResourceType);
+	static ILboolean	GetResource(ilImage &, HINSTANCE hInst, ILint ID, char *ResourceType, ILenum Type);
+	static ILboolean	SetClipboard(ilImage &);
+};
+#endif//ILUT_USE_WIN32
+
+
+class ilValidate
+{
+public:
+	static ILboolean	Valid(ILenum, char *);
+	static ILboolean	Valid(ILenum, FILE *);
+	static ILboolean	Valid(ILenum, ILvoid *, ILuint);
+
+protected:
+
+private:
+
+};
+
+
+class ilState
+{
+public:
+	static ILboolean		Disable(ILenum);
+	static ILboolean		Enable(ILenum);
+	static ILvoid			Get(ILenum, ILboolean &);
+	static ILvoid			Get(ILenum, ILint &);
+	static ILboolean		GetBool(ILenum);
+	static ILint			GetInt(ILenum);
+	static const char		*GetString(ILenum);
+	static ILboolean		IsDisabled(ILenum);
+	static ILboolean		IsEnabled(ILenum);
+	static ILboolean		Origin(ILenum);
+	static ILvoid			Pop(ILvoid);
+	static ILvoid			Push(ILuint);
+
+
+protected:
+
+private:
+
+};
+
+
+class ilError
+{
+public:
+	static ILvoid		Check(ILvoid (*Callback)(const char*));
+	static ILvoid		Check(ILvoid (*Callback)(ILenum));
+	static ILenum		Get(ILvoid);
+	static const char	*String(ILvoid);
+	static const char	*String(ILenum);
+
+protected:
+
+private:
+
+};
+
+
+#endif//WRAPPER_H
Index: NonGTP/Devil/include/IL/ilut.h
===================================================================
--- NonGTP/Devil/include/IL/ilut.h	(revision 191)
+++ NonGTP/Devil/include/IL/ilut.h	(revision 191)
@@ -0,0 +1,281 @@
+//-----------------------------------------------------------------------------
+//
+// ImageLib Utility Toolkit Sources
+// Copyright (C) 2000-2002 by Denton Woods
+// Last modified: 06/23/2002 <--Y2K Compliant! =]
+//
+// Filename: IL/ilut.h
+//
+// Description: The main include file for ILUT
+//
+//-----------------------------------------------------------------------------
+
+
+#ifndef __ilut_h_
+#ifndef __ILUT_H__
+
+#define __ilut_h_
+#define __ILUT_H__
+
+#include <IL/il.h>
+#include <IL/ilu.h>
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+/*
+#ifdef _WIN32
+	#if defined(_MSC_VER) || defined(__BORLANDC__)
+		#ifndef IL_STATIC_LIB
+			#pragma comment(lib, "DevILU_DLL.lib")
+			#ifndef _IL_BUILD_LIBRARY
+				#pragma comment(lib, "DevILUT_DLL.lib")
+			#endif
+		#else
+			#ifndef _IL_BUILD_LIBRARY
+				#ifdef  IL_DEBUG
+					#pragma comment(lib, "DevILUT_DBG.lib")
+				#else
+					#pragma comment(lib, "DevILUT.lib")
+				#endif//IL_DEBUG
+			#endif
+		#endif
+	#endif
+#endif
+*/
+
+#define ILUT_VERSION_1_6_7					1
+#define ILUT_VERSION						167
+
+
+// Attribute Bits
+#define ILUT_OPENGL_BIT						0x00000001
+#define ILUT_D3D_BIT						0x00000002
+#define ILUT_ALL_ATTRIB_BITS				0x000FFFFF
+
+
+// Error Types
+#define ILUT_INVALID_ENUM					0x0501
+#define ILUT_OUT_OF_MEMORY					0x0502
+#define ILUT_INVALID_VALUE					0x0505
+#define ILUT_ILLEGAL_OPERATION				0x0506
+#define ILUT_INVALID_PARAM					0x0509
+#define ILUT_COULD_NOT_OPEN_FILE			0x050A
+#define ILUT_STACK_OVERFLOW					0x050E
+#define ILUT_STACK_UNDERFLOW				0x050F
+#define ILUT_BAD_DIMENSIONS					0x0511
+#define ILUT_NOT_SUPPORTED					0x0550
+
+
+// State Definitions
+#define ILUT_PALETTE_MODE					0x0600
+#define ILUT_OPENGL_CONV					0x0610
+#define ILUT_D3D_MIPLEVELS					0x0620
+#define ILUT_MAXTEX_WIDTH					0x0630
+#define ILUT_MAXTEX_HEIGHT					0x0631
+#define ILUT_MAXTEX_DEPTH					0x0632
+#define ILUT_GL_USE_S3TC					0x0634
+#define ILUT_D3D_USE_DXTC					0x0634
+#define ILUT_GL_GEN_S3TC					0x0635
+#define ILUT_D3D_GEN_DXTC					0x0635
+#define ILUT_S3TC_FORMAT					0x0705
+#define ILUT_DXTC_FORMAT					0x0705
+#define ILUT_D3D_POOL						0x0706
+#define ILUT_D3D_ALPHA_KEY_COLOR			0x0707
+#define ILUT_D3D_ALPHA_KEY_COLOUR			0x0707
+
+//This new state does automatic texture target detection
+//if enabled. Currently, only cubemap detection is supported.
+//if the current image is no cubemap, the 2d texture is chosen.
+#define ILUT_GL_AUTODETECT_TEXTURE_TARGET	0x0807
+
+
+// Values
+#define ILUT_VERSION_NUM					IL_VERSION_NUM
+#define ILUT_VENDOR							IL_VENDOR
+
+
+// ImageLib Utility Toolkit Functions
+ILAPI ILboolean		ILAPIENTRY ilutDisable(ILenum Mode);
+ILAPI ILboolean		ILAPIENTRY ilutEnable(ILenum Mode);
+ILAPI ILboolean		ILAPIENTRY ilutGetBoolean(ILenum Mode);
+ILAPI ILvoid		ILAPIENTRY ilutGetBooleanv(ILenum Mode, ILboolean *Param);
+ILAPI ILint			ILAPIENTRY ilutGetInteger(ILenum Mode);
+ILAPI ILvoid		ILAPIENTRY ilutGetIntegerv(ILenum Mode, ILint *Param);
+ILAPI const ILstring		ILAPIENTRY ilutGetString(ILenum StringName);
+ILAPI ILvoid		ILAPIENTRY ilutInit(ILvoid);
+ILAPI ILboolean		ILAPIENTRY ilutIsDisabled(ILenum Mode);
+ILAPI ILboolean		ILAPIENTRY ilutIsEnabled(ILenum Mode);
+ILAPI ILvoid		ILAPIENTRY ilutPopAttrib(ILvoid);
+ILAPI ILvoid		ILAPIENTRY ilutPushAttrib(ILuint Bits);
+ILAPI ILvoid		ILAPIENTRY ilutSetInteger(ILenum Mode, ILint Param);
+
+
+// The different rendering api's...more to be added later?
+#define ILUT_OPENGL		0
+#define ILUT_ALLEGRO	1
+#define ILUT_WIN32		2
+#define ILUT_DIRECT3D8	3
+#define	ILUT_DIRECT3D9	4
+
+
+ILAPI ILboolean	ILAPIENTRY ilutRenderer(ILenum Renderer);
+
+// Includes specific config
+#ifdef DJGPP
+	#define ILUT_USE_ALLEGRO
+#elif _WIN32_WCE
+	#define ILUT_USE_WIN32
+#elif _WIN32
+	//#ifdef __GNUC__ //__CYGWIN32__ (Cygwin seems to not define this with DevIL builds)
+		#include "config.h"
+
+		/*// Temporary fix for the SDL main() linker bug.
+		#ifdef  ILUT_USE_SDL
+		#undef  ILUT_USE_SDL
+		#endif//ILUT_USE_SDL*/
+
+	/*#else
+	  	#define ILUT_USE_WIN32
+		#define ILUT_USE_OPENGL
+		#define ILUT_USE_SDL
+		#define ILUT_USE_DIRECTX8
+	#endif*/
+#elif BEOS  // Don't know the #define
+	#define ILUT_USE_BEOS
+	#define ILUT_USE_OPENGL
+#elif MACOSX
+	#define ILUT_USE_OPENGL
+#else
+	/*
+	* We are surely using a *nix so the configure script
+	* may have written the configured config.h header
+	*/
+	#include "config.h"
+#endif
+
+// ImageLib Utility Toolkit's OpenGL Functions
+#ifdef ILUT_USE_OPENGL
+	#if defined(_MSC_VER) || defined(_WIN32)
+		//#define WIN32_LEAN_AND_MEAN
+		#include <windows.h>
+	#endif//_MSC_VER
+
+	#ifdef __APPLE__
+		#include <OpenGL/gl.h>
+		#include <OpenGL/glu.h>
+	#else
+	 	#include <GL/gl.h>
+ 		#include <GL/glu.h>
+	#endif//__APPLE__
+
+	ILAPI GLuint	ILAPIENTRY ilutGLBindTexImage();
+	ILAPI GLuint	ILAPIENTRY ilutGLBindMipmaps(ILvoid);
+	ILAPI ILboolean	ILAPIENTRY ilutGLBuildMipmaps(ILvoid);
+	ILAPI GLuint	ILAPIENTRY ilutGLLoadImage(const ILstring FileName);
+	ILAPI ILboolean	ILAPIENTRY ilutGLScreen(ILvoid);
+	ILAPI ILboolean	ILAPIENTRY ilutGLScreenie(ILvoid);
+	ILAPI ILboolean	ILAPIENTRY ilutGLSaveImage(const ILstring FileName, GLuint TexID);
+	ILAPI ILboolean	ILAPIENTRY ilutGLSetTex(GLuint TexID);
+	ILAPI ILboolean	ILAPIENTRY ilutGLTexImage(GLuint Level);
+
+#endif//ILUT_USE_OPENGL
+
+
+// ImageLib Utility Toolkit's Allegro Functions
+#ifdef ILUT_USE_ALLEGRO
+	#include <allegro.h>
+	ILAPI BITMAP* ILAPIENTRY ilutAllegLoadImage(const ILstring FileName);
+	ILAPI BITMAP* ILAPIENTRY ilutConvertToAlleg(PALETTE Pal);
+#endif//ILUT_USE_ALLEGRO
+
+
+// ImageLib Utility Toolkit's SDL Functions
+#ifdef ILUT_USE_SDL
+	#include <SDL.h>
+	ILAPI SDL_Surface*	ILAPIENTRY ilutConvertToSDLSurface(unsigned int flags);
+	ILAPI SDL_Surface*	ILAPIENTRY ilutSDLSurfaceLoadImage(const ILstring FileName);
+	ILAPI ILboolean		ILAPIENTRY ilutSDLSurfaceFromBitmap(SDL_Surface *Bitmap);
+#endif//ILUT_USE_SDL
+
+
+// ImageLib Utility Toolkit's BeOS Functions
+#ifdef  ILUT_USE_BEOS
+	ILAPI BBitmap ILAPIENTRY ilutConvertToBBitmap(ILvoid);
+#endif//ILUT_USE_BEOS
+
+
+// ImageLib Utility Toolkit's Win32 GDI Functions
+#ifdef ILUT_USE_WIN32
+	#ifdef _WIN32
+		//#define WIN32_LEAN_AND_MEAN
+		#include <windows.h>
+		ILAPI HBITMAP	ILAPIENTRY ilutConvertToHBitmap(HDC hDC);
+		ILAPI ILvoid	ILAPIENTRY ilutFreePaddedData(ILubyte *Data);
+		ILAPI ILvoid	ILAPIENTRY ilutGetBmpInfo(BITMAPINFO *Info);
+		ILAPI HPALETTE	ILAPIENTRY ilutGetHPal(ILvoid);
+		ILAPI ILubyte*	ILAPIENTRY ilutGetPaddedData(ILvoid);
+		ILAPI ILboolean	ILAPIENTRY ilutGetWinClipboard(ILvoid);
+		ILAPI ILboolean	ILAPIENTRY ilutLoadResource(HINSTANCE hInst, ILint ID, const ILstring ResourceType, ILenum Type);
+		ILAPI ILboolean	ILAPIENTRY ilutSetHBitmap(HBITMAP Bitmap);
+		ILAPI ILboolean	ILAPIENTRY ilutSetHPal(HPALETTE Pal);
+		ILAPI ILboolean	ILAPIENTRY ilutSetWinClipboard(ILvoid);
+		ILAPI HBITMAP	ILAPIENTRY ilutWinLoadImage(const ILstring FileName, HDC hDC);
+		ILAPI ILboolean	ILAPIENTRY ilutWinLoadUrl(const ILstring Url);
+		ILAPI ILboolean ILAPIENTRY ilutWinPrint(ILuint XPos, ILuint YPos, ILuint Width, ILuint Height, HDC hDC);
+		ILAPI ILboolean	ILAPIENTRY ilutWinSaveImage(const ILstring FileName, HBITMAP Bitmap);
+
+	#endif//_WIN32
+#endif//ILUT_USE_WIN32
+
+
+#ifdef ILUT_USE_DIRECTX9
+	#ifdef _WIN32
+//		#include <d3d9.h>
+//		ILAPI ILvoid	ILAPIENTRY ilutD3D9MipFunc(ILuint NumLevels);
+		ILAPI struct IDirect3DTexture9* ILAPIENTRY ilutD3D9Texture(struct IDirect3DDevice9 *Device);
+		ILAPI struct IDirect3DVolumeTexture9* ILAPIENTRY ilutD3D9VolumeTexture(struct IDirect3DDevice9 *Device);
+		ILAPI ILboolean	ILAPIENTRY ilutD3D9TexFromFile(struct IDirect3DDevice9 *Device, char *FileName, struct IDirect3DTexture9 **Texture);
+		ILAPI ILboolean	ILAPIENTRY ilutD3D9VolTexFromFile(struct IDirect3DDevice9 *Device, char *FileName, struct IDirect3DVolumeTexture9 **Texture);
+		ILAPI ILboolean	ILAPIENTRY ilutD3D9TexFromFileInMemory(struct IDirect3DDevice9 *Device, ILvoid *Lump, ILuint Size, struct IDirect3DTexture9 **Texture);
+		ILAPI ILboolean	ILAPIENTRY ilutD3D9VolTexFromFileInMemory(struct IDirect3DDevice9 *Device, ILvoid *Lump, ILuint Size, struct IDirect3DVolumeTexture9 **Texture);
+		ILAPI ILboolean	ILAPIENTRY ilutD3D9TexFromFileHandle(struct IDirect3DDevice9 *Device, ILHANDLE File, struct IDirect3DTexture9 **Texture);
+		ILAPI ILboolean	ILAPIENTRY ilutD3D9VolTexFromFileHandle(struct IDirect3DDevice9 *Device, ILHANDLE File, struct IDirect3DVolumeTexture9 **Texture);
+		// These two are not tested yet.
+		ILAPI ILboolean ILAPIENTRY ilutD3D9TexFromResource(struct IDirect3DDevice9 *Device, HMODULE SrcModule, char *SrcResource, struct IDirect3DTexture9 **Texture);
+		ILAPI ILboolean ILAPIENTRY ilutD3D9VolTexFromResource(struct IDirect3DDevice9 *Device, HMODULE SrcModule, char *SrcResource, struct IDirect3DVolumeTexture9 **Texture);
+
+		ILAPI ILboolean ILAPIENTRY ilutD3D9LoadSurface(struct IDirect3DDevice9 *Device, struct IDirect3DSurface9 *Surface);
+	#endif//_WIN32
+#endif//ILUT_USE_DIRECTX9
+
+// ImageLib Utility Toolkit's DirectX 8 Functions
+#ifdef ILUT_USE_DIRECTX8
+	#ifdef _WIN32
+//		#ifndef	_D3D8_H_
+//		#include <d3d8.h>
+//		#endif
+//		ILAPI ILvoid	ILAPIENTRY ilutD3D8MipFunc(ILuint NumLevels);
+		ILAPI struct IDirect3DTexture8* ILAPIENTRY ilutD3D8Texture(struct IDirect3DDevice8 *Device);
+		ILAPI struct IDirect3DVolumeTexture8* ILAPIENTRY ilutD3D8VolumeTexture(struct IDirect3DDevice8 *Device);
+		ILAPI ILboolean	ILAPIENTRY ilutD3D8TexFromFile(struct IDirect3DDevice8 *Device, char *FileName, struct IDirect3DTexture8 **Texture);
+		ILAPI ILboolean	ILAPIENTRY ilutD3D8VolTexFromFile(struct IDirect3DDevice8 *Device, char *FileName, struct IDirect3DVolumeTexture8 **Texture);
+		ILAPI ILboolean	ILAPIENTRY ilutD3D8TexFromFileInMemory(struct IDirect3DDevice8 *Device, ILvoid *Lump, ILuint Size, struct IDirect3DTexture8 **Texture);
+		ILAPI ILboolean	ILAPIENTRY ilutD3D8VolTexFromFileInMemory(struct IDirect3DDevice8 *Device, ILvoid *Lump, ILuint Size, struct IDirect3DVolumeTexture8 **Texture);
+		ILAPI ILboolean	ILAPIENTRY ilutD3D8TexFromFileHandle(struct IDirect3DDevice8 *Device, ILHANDLE File, struct IDirect3DTexture8 **Texture);
+		ILAPI ILboolean	ILAPIENTRY ilutD3D8VolTexFromFileHandle(struct IDirect3DDevice8 *Device, ILHANDLE File, struct IDirect3DVolumeTexture8 **Texture);
+		// These two are not tested yet.
+		ILAPI ILboolean ILAPIENTRY ilutD3D8TexFromResource(struct IDirect3DDevice8 *Device, HMODULE SrcModule, char *SrcResource, struct IDirect3DTexture8 **Texture);
+		ILAPI ILboolean ILAPIENTRY ilutD3D8VolTexFromResource(struct IDirect3DDevice8 *Device, HMODULE SrcModule, char *SrcResource, struct IDirect3DVolumeTexture8 **Texture);
+
+		ILAPI ILboolean ILAPIENTRY ilutD3D8LoadSurface(struct IDirect3DDevice8 *Device, struct IDirect3DSurface8 *Surface);
+	#endif//_WIN32
+#endif//ILUT_USE_DIRECTX8
+
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif // __ILUT_H__
+#endif // __ilut_h_
Index: NonGTP/Devil/include/IL/Makefile.am
===================================================================
--- NonGTP/Devil/include/IL/Makefile.am	(revision 191)
+++ NonGTP/Devil/include/IL/Makefile.am	(revision 191)
@@ -0,0 +1,3 @@
+ILincludedir = $(includedir)/IL
+
+ILinclude_HEADERS = il.h ilu.h ilut.h il_wrap.h config.h devil_internal_exports.h ilu_region.h
Index: NonGTP/Devil/include/IL/devil_internal_exports.h
===================================================================
--- NonGTP/Devil/include/IL/devil_internal_exports.h	(revision 191)
+++ NonGTP/Devil/include/IL/devil_internal_exports.h	(revision 191)
@@ -0,0 +1,125 @@
+//-----------------------------------------------------------------------------
+//
+// ImageLib Sources
+// Copyright (C) 2000-2002 by Denton Woods
+// Last modified: 02/19/2002 <--Y2K Compliant! =]
+//
+// Filename: IL/devil_internal_exports.h
+//
+// Description: Internal stuff for DevIL (IL, ILU and ILUT)
+//
+//-----------------------------------------------------------------------------
+
+#ifndef IL_EXPORTS_H
+#define IL_EXPORTS_H
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#define IL_MAX(a,b) (((a) > (b)) ? (a) : (b))
+#define IL_MIN(a,b) (((a) < (b)) ? (a) : (b))
+
+
+// Basic Palette struct
+typedef struct ILpal
+{
+	ILubyte	*Palette;		// the image palette (if any)
+	ILuint	PalSize;		// size of the palette (in bytes)
+	ILenum	PalType;		// the palette types below (0x0500 range)
+} ILpal;
+
+
+// The Fundamental Image struct
+typedef struct ILimage
+{
+	ILuint	Width;				// the image's width
+	ILuint	Height;				// the image's height
+	ILuint	Depth;				// the image's depth
+	ILubyte	Bpp;				// bytes per pixel (now number of channels)
+	ILubyte	Bpc;				// bytes per channel
+	ILuint	Bps;				// bytes per scanline (components for IL)
+	ILubyte	*Data;				// the image data
+	ILuint	SizeOfData;			// the total size of the data (in bytes)
+	ILuint	SizeOfPlane;		// SizeOfData in a 2d image, size of each plane slice in a 3d image (in bytes)
+	ILenum	Format;				// image format (in IL enum style)
+	ILenum	Type;				// image type (in IL enum style)
+	ILenum	Origin;				// origin of the image
+	ILpal	Pal;				// palette details
+	ILuint	Duration;			// length of the time to display this "frame"
+	ILenum	CubeFlags;			// cube map flags for sides present in chain
+	struct	ILimage *Mipmaps;	// mipmapped versions of this image terminated by a NULL - usu. NULL
+	struct	ILimage *Next;		// next image in the chain - usu. NULL
+	struct	ILimage *Layers;	// subsequent layers in the chain - usu. NULL
+	ILuint	NumNext;			// number of images following this one (0 when not parent)
+	ILuint	NumMips;			// number of mipmaps (0 when not parent)
+	ILuint	NumLayers;			// number of layers (0 when not parent)
+	ILuint	*AnimList;			// animation list
+	ILuint	AnimSize;			// animation list size
+	ILvoid	*Profile;			// colour profile
+	ILuint	ProfileSize;		// colour profile size
+	ILuint	OffX, OffY;			// offset of the image
+	ILubyte	*DxtcData;			// compressed data
+	ILenum	DxtcFormat;			// compressed data format
+	ILuint	DxtcSize;			// compressed data size
+} ILimage;
+
+
+// Memory functions
+ILAPI ILvoid*	ILAPIENTRY ialloc(ILuint Size);
+ILAPI ILvoid	ILAPIENTRY ifree(ILvoid *Ptr);
+ILAPI ILvoid*	ILAPIENTRY icalloc(ILuint Size, ILuint Num);
+
+
+
+// Internal library functions in IL
+ILAPI ILimage*		ILAPIENTRY ilGetCurImage(ILvoid);
+ILAPI ILvoid		ILAPIENTRY ilSetCurImage(ILimage *Image);
+ILAPI ILvoid		ILAPIENTRY ilSetError(ILenum Error);
+ILAPI ILvoid		ILAPIENTRY ilSetPal(ILpal *Pal);
+
+//
+// Utility functions
+//
+ILAPI ILubyte	ILAPIENTRY ilGetBppFormat(ILenum Format);
+ILAPI ILubyte	ILAPIENTRY ilGetBppPal(ILenum PalType);
+ILAPI ILubyte	ILAPIENTRY ilGetBppType(ILenum Type);
+ILAPI ILenum	ILAPIENTRY ilGetTypeBpc(ILubyte Bpc);
+ILAPI ILenum	ILAPIENTRY ilGetPalBaseType(ILenum PalType);
+ILAPI ILuint	ILAPIENTRY ilNextPower2(ILuint Num);
+ILAPI ILenum	ILAPIENTRY ilTypeFromExt(const ILstring FileName);
+ILAPI ILvoid ILAPIENTRY ilReplaceCurImage(ILimage *Image);
+
+//
+// Image functions
+//
+ILAPI ILvoid	ILAPIENTRY	iBindImageTemp(ILvoid);
+ILAPI ILboolean ILAPIENTRY	ilClearImage_(ILimage *Image);
+ILAPI ILvoid	ILAPIENTRY	ilCloseImage(ILimage *Image);
+ILAPI ILvoid	ILAPIENTRY	ilClosePal(ILpal *Palette);
+ILAPI ILpal*	ILAPIENTRY	iCopyPal(ILvoid);
+ILAPI ILboolean	ILAPIENTRY	ilCopyImageAttr(ILimage *Dest, ILimage *Src);
+ILAPI ILimage*	ILAPIENTRY	ilCopyImage_(ILimage *Src);
+ILAPI ILvoid	ILAPIENTRY	ilGetClear(ILvoid *Colours, ILenum Format, ILenum Type);
+ILAPI ILuint	ILAPIENTRY	ilGetCurName(ILvoid);
+ILAPI ILboolean	ILAPIENTRY	ilIsValidPal(ILpal *Palette);
+ILAPI ILimage*	ILAPIENTRY	ilNewImage(ILuint Width, ILuint Height, ILuint Depth, ILubyte Bpp, ILubyte Bpc);
+ILAPI ILboolean ILAPIENTRY	ilResizeImage(ILimage *Image, ILuint Width, ILuint Height, ILuint Depth, ILubyte Bpp, ILubyte Bpc);
+ILAPI ILboolean ILAPIENTRY	ilTexImage_(ILimage *Image, ILuint Width, ILuint Height, ILuint Depth, ILubyte Bpp, ILenum Format, ILenum Type, ILvoid *Data);
+ILAPI ILboolean ILAPIENTRY	ilTexSubImage_(ILimage *Image, ILvoid *Data);
+ILAPI ILvoid*	ILAPIENTRY	ilConvertBuffer(ILuint SizeOfData, ILenum SrcFormat, ILenum DestFormat, ILenum SrcType, ILenum DestType, ILvoid *Buffer);
+ILAPI ILimage*	ILAPIENTRY	iConvertImage(ILimage *Image, ILenum DestFormat, ILenum DestType);
+ILAPI ILpal*	ILAPIENTRY	iConvertPal(ILpal *Pal, ILenum DestFormat);
+ILAPI ILubyte*	ILAPIENTRY	iGetFlipped(ILimage *Image);
+
+
+// Internal library functions in ILU
+ILAPI ILimage* ILAPIENTRY iluRotate_(ILimage *Image, ILfloat Angle);
+ILAPI ILimage* ILAPIENTRY iluRotate3D_(ILimage *Image, ILfloat x, ILfloat y, ILfloat z, ILfloat Angle);
+ILAPI ILimage* ILAPIENTRY iluScale_(ILimage *Image, ILuint Width, ILuint Height, ILuint Depth);
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif//IL_EXPORTS_H
Index: NonGTP/Devil/include/IL/il.h
===================================================================
--- NonGTP/Devil/include/IL/il.h	(revision 191)
+++ NonGTP/Devil/include/IL/il.h	(revision 191)
@@ -0,0 +1,594 @@
+//-----------------------------------------------------------------------------
+//
+// ImageLib Sources
+// Copyright (C) 2000-2002 by Denton Woods
+// Last modified: 06/23/2002 <--Y2K Compliant! =]
+//
+// Filename: IL/il.h
+//
+// Description: The main include file for DevIL
+//
+//-----------------------------------------------------------------------------
+
+
+#ifndef __il_h_
+#ifndef __IL_H__
+
+#define __il_h_
+#define __IL_H__
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+//#define IL_NO_BMP
+//#define IL_NO_CUT
+//#define IL_NO_CHEAD
+//#define IL_NO_DCX
+//#define IL_NO_DDS
+//#define IL_NO_DOOM
+//#define IL_NO_GIF
+//#define IL_NO_ICO
+//#define IL_NO_JPG
+//#define IL_NO_LIF
+//#define IL_NO_MDL
+//#define IL_NO_MNG
+//#define IL_NO_PCD
+//#define IL_NO_PCX
+//#define IL_NO_PIC
+//#define IL_NO_PIX
+//#define IL_NO_PNG
+//#define IL_NO_PNM
+//#define IL_NO_PSD
+//#define IL_NO_PSP
+//#define IL_NO_PXR
+//#define IL_NO_RAW
+//#define IL_NO_SGI
+//#define IL_NO_TGA
+//#define IL_NO_TIF
+//#define IL_NO_WAL
+//#define IL_NO_XPM
+
+// Compiling Options
+#define IL_INLINE_ASM
+//#define IL_DEBUG
+//#define IL_STATIC_LIB
+//#define IL_NO_LCMS
+#ifdef _WIN32
+	#ifndef IL_USE_JPEGLIB_UNMODIFIED
+		#define IL_USE_JPEGLIB_UNMODIFIED
+	#endif
+#endif
+
+#ifdef _WIN32_WCE
+	#define IL_NO_GIF
+	#define IL_NO_JPG
+	#define IL_NO_MNG
+	#define IL_NO_PNG
+	#define IL_NO_TIF
+	#define IL_NO_LCMS
+#endif//_WIN32_WCE
+
+#ifdef DJGPP
+	#define IL_NO_GIF
+	#define IL_NO_JPG
+	#define IL_NO_MNG
+	#define IL_NO_PNG
+	#define IL_NO_TIF
+	#define IL_NO_LCMS
+#endif//DJGPP
+
+/*#ifdef __APPLE__
+	#define IL_NO_GIF
+	#define IL_NO_JPG
+	#define IL_NO_MNG
+	#define IL_NO_PNG
+	#define IL_NO_TIF
+	#define IL_NO_LCMS
+#endif//__APPLE__*/
+
+/*
+#ifdef _WIN32
+	#if defined(_MSC_VER) || defined(__BORLANDC__)
+		#ifndef IL_STATIC_LIB
+			#ifndef _IL_BUILD_LIBRARY
+				#pragma comment(lib, "Devil_DLL.lib")
+			#endif
+		#else
+			#ifndef _IL_BUILD_LIBRARY
+				#ifdef  IL_DEBUG
+					#pragma comment(lib, "Devil_DBG.lib")
+				#else
+					#pragma comment(lib, "Devil.lib")
+				#endif//IL_DEBUG
+			#endif
+		#endif
+	#endif
+#endif
+*/
+#include <stdio.h>
+
+typedef unsigned int	ILenum;
+typedef unsigned char	ILboolean;
+typedef unsigned int	ILbitfield;
+typedef char			ILbyte;
+typedef short			ILshort;
+typedef int				ILint;
+typedef int				ILsizei;
+typedef unsigned char	ILubyte;
+typedef unsigned short	ILushort;
+typedef unsigned int	ILuint;
+typedef float			ILfloat;
+typedef float			ILclampf;
+typedef double			ILdouble;
+typedef double			ILclampd;
+typedef void			ILvoid;
+
+#ifdef _UNICODE
+	#ifndef _WIN32_WCE
+		#include <wchar.h>
+	#endif
+	typedef wchar_t* ILstring;
+#else
+	typedef char* ILstring;
+#endif//_UNICODE
+
+
+#define IL_FALSE							0
+#define IL_TRUE								1
+
+
+// Matches OpenGL's right now.
+#define IL_COLOUR_INDEX							0x1900
+#define IL_COLOR_INDEX							0x1900
+#define IL_RGB								0x1907
+#define IL_RGBA								0x1908
+#define IL_BGR								0x80E0
+#define IL_BGRA								0x80E1
+#define IL_LUMINANCE							0x1909
+#define IL_LUMINANCE_ALPHA						0x190A
+
+
+#define IL_BYTE								0x1400
+#define IL_UNSIGNED_BYTE						0x1401
+#define IL_SHORT							0x1402
+#define IL_UNSIGNED_SHORT						0x1403
+#define IL_INT								0x1404
+#define IL_UNSIGNED_INT							0x1405
+#define IL_FLOAT							0x1406
+#define IL_DOUBLE							0x140A
+
+
+#define IL_VENDOR							0x1F00
+#define IL_LOAD_EXT							0x1F01
+#define IL_SAVE_EXT							0x1F02
+
+
+//
+// IL-specific #define's
+//
+
+#define IL_VERSION_1_6_7					1
+#define IL_VERSION							167
+
+
+// Attribute Bits
+#define IL_ORIGIN_BIT						0x00000001
+#define IL_FILE_BIT						0x00000002
+#define IL_PAL_BIT						0x00000004
+#define IL_FORMAT_BIT						0x00000008
+#define IL_TYPE_BIT						0x00000010
+#define IL_COMPRESS_BIT						0x00000020
+#define IL_LOADFAIL_BIT						0x00000040
+#define IL_FORMAT_SPECIFIC_BIT					0x00000080
+#define IL_ALL_ATTRIB_BITS					0x000FFFFF
+
+
+// Palette types
+#define IL_PAL_NONE						0x0400
+#define IL_PAL_RGB24						0x0401
+#define IL_PAL_RGB32						0x0402
+#define IL_PAL_RGBA32						0x0403
+#define IL_PAL_BGR24						0x0404
+#define IL_PAL_BGR32						0x0405
+#define IL_PAL_BGRA32						0x0406
+
+
+// Image types
+#define IL_TYPE_UNKNOWN						0x0000
+#define IL_BMP								0x0420
+#define IL_CUT								0x0421
+#define IL_DOOM								0x0422
+#define IL_DOOM_FLAT						0x0423
+#define IL_ICO								0x0424
+#define IL_JPG								0x0425
+#define IL_JFIF								0x0425
+#define IL_LBM								0x0426
+#define IL_PCD								0x0427
+#define IL_PCX								0x0428
+#define IL_PIC								0x0429
+#define IL_PNG								0x042A
+#define IL_PNM								0x042B
+#define IL_SGI								0x042C
+#define IL_TGA								0x042D
+#define IL_TIF								0x042E
+#define IL_CHEAD							0x042F
+#define IL_RAW								0x0430
+#define IL_MDL								0x0431
+#define IL_WAL								0x0432
+#define IL_LIF								0x0434
+#define IL_MNG								0x0435
+#define IL_JNG								0x0435
+#define IL_GIF								0x0436
+#define IL_DDS								0x0437
+#define IL_DCX								0x0438
+#define IL_PSD								0x0439
+#define IL_EXIF								0x043A
+#define IL_PSP								0x043B
+#define IL_PIX								0x043C
+#define IL_PXR								0x043D
+#define IL_XPM								0x043E
+
+#define IL_JASC_PAL							0x0475
+
+
+// Error Types
+#define IL_NO_ERROR							0x0000
+#define IL_INVALID_ENUM						0x0501
+#define IL_OUT_OF_MEMORY					0x0502
+#define IL_FORMAT_NOT_SUPPORTED				0x0503
+#define IL_INTERNAL_ERROR					0x0504
+#define IL_INVALID_VALUE					0x0505
+#define IL_ILLEGAL_OPERATION				0x0506
+#define IL_ILLEGAL_FILE_VALUE				0x0507
+#define IL_INVALID_FILE_HEADER				0x0508
+#define IL_INVALID_PARAM					0x0509
+#define IL_COULD_NOT_OPEN_FILE				0x050A
+#define IL_INVALID_EXTENSION				0x050B
+#define IL_FILE_ALREADY_EXISTS				0x050C
+#define IL_OUT_FORMAT_SAME					0x050D
+#define IL_STACK_OVERFLOW					0x050E
+#define IL_STACK_UNDERFLOW					0x050F
+#define IL_INVALID_CONVERSION				0x0510
+#define IL_BAD_DIMENSIONS					0x0511
+#define IL_FILE_READ_ERROR					0x0512  // 05/12/2002: Addition by Sam.
+#define IL_FILE_WRITE_ERROR					0x0512
+
+#define IL_LIB_GIF_ERROR					0x05E1
+#define IL_LIB_JPEG_ERROR					0x05E2
+#define IL_LIB_PNG_ERROR					0x05E3
+#define IL_LIB_TIFF_ERROR					0x05E4
+#define IL_LIB_MNG_ERROR					0x05E5
+#define IL_UNKNOWN_ERROR					0x05FF
+
+
+// Origin Definitions
+#define IL_ORIGIN_SET						0x0600
+#define IL_ORIGIN_LOWER_LEFT				0x0601
+#define IL_ORIGIN_UPPER_LEFT				0x0602
+#define IL_ORIGIN_MODE						0x0603
+
+
+// Format and Type Mode Definitions
+#define IL_FORMAT_SET						0x0610
+#define IL_FORMAT_MODE						0x0611
+#define IL_TYPE_SET							0x0612
+#define IL_TYPE_MODE						0x0613
+
+
+// File definitions
+#define IL_FILE_OVERWRITE					0x0620
+#define IL_FILE_MODE						0x0621
+
+
+// Palette definitions
+#define IL_CONV_PAL							0x0630
+
+
+// Load fail definitions
+#define IL_DEFAULT_ON_FAIL					0x0632
+
+
+// Key colour definitions
+#define IL_USE_KEY_COLOUR					0x0635
+#define IL_USE_KEY_COLOR					0x0635
+
+
+// Interlace definitions
+#define IL_SAVE_INTERLACED					0x0639
+#define IL_INTERLACE_MODE					0x063A
+
+
+// Quantization definitions
+#define IL_QUANTIZATION_MODE				0x0640
+#define IL_WU_QUANT							0x0641
+#define IL_NEU_QUANT						0x0642
+#define IL_NEU_QUANT_SAMPLE					0x0643
+#define IL_MAX_QUANT_INDEXS					0x0644	//XIX : ILint : Maximum number of colors to reduce to, default of 256. and has a range of 2-256
+
+
+// Hints
+#define IL_FASTEST							0x0660
+#define IL_LESS_MEM							0x0661
+#define IL_DONT_CARE						0x0662
+#define IL_MEM_SPEED_HINT					0x0665
+#define IL_USE_COMPRESSION					0x0666
+#define IL_NO_COMPRESSION					0x0667
+#define IL_COMPRESSION_HINT					0x0668
+
+
+// Subimage types
+#define IL_SUB_NEXT							0x0680
+#define IL_SUB_MIPMAP						0x0681
+#define IL_SUB_LAYER						0x0682
+
+
+// Compression definitions
+#define IL_COMPRESS_MODE					0x0700
+#define IL_COMPRESS_NONE					0x0701
+#define IL_COMPRESS_RLE						0x0702
+#define IL_COMPRESS_LZO						0x0703
+#define IL_COMPRESS_ZLIB					0x0704
+
+
+// File format-specific values
+#define IL_TGA_CREATE_STAMP					0x0710
+#define IL_JPG_QUALITY						0x0711
+#define IL_PNG_INTERLACE					0x0712
+#define IL_TGA_RLE							0x0713
+#define IL_BMP_RLE							0x0714
+#define IL_SGI_RLE							0x0715
+#define IL_TGA_ID_STRING					0x0717
+#define IL_TGA_AUTHNAME_STRING				0x0718
+#define IL_TGA_AUTHCOMMENT_STRING			0x0719
+#define IL_PNG_AUTHNAME_STRING				0x071A
+#define IL_PNG_TITLE_STRING					0x071B
+#define IL_PNG_DESCRIPTION_STRING			0x071C
+#define IL_TIF_DESCRIPTION_STRING			0x071D
+#define IL_TIF_HOSTCOMPUTER_STRING			0x071E
+#define IL_TIF_DOCUMENTNAME_STRING			0x071F
+#define IL_TIF_AUTHNAME_STRING				0x0720
+#define IL_JPG_SAVE_FORMAT					0x0721
+#define IL_CHEAD_HEADER_STRING				0x0722
+#define IL_PCD_PICNUM						0x0723
+
+#define IL_PNG_ALPHA_INDEX					0x0724	//XIX : ILint : the color in the pallete at this index value (0-255) is considered transparent, -1 for no trasparent color
+
+// DXTC definitions
+#define IL_DXTC_FORMAT						0x0705
+#define IL_DXT1								0x0706
+#define IL_DXT2								0x0707
+#define IL_DXT3								0x0708
+#define IL_DXT4								0x0709
+#define IL_DXT5								0x070A
+#define IL_DXT_NO_COMP						0x070B
+#define IL_KEEP_DXTC_DATA					0x070C
+#define IL_DXTC_DATA_FORMAT					0x070D
+
+
+// Cube map definitions
+#define IL_CUBEMAP_POSITIVEX				0x00000400
+#define IL_CUBEMAP_NEGATIVEX				0x00000800
+#define IL_CUBEMAP_POSITIVEY				0x00001000
+#define IL_CUBEMAP_NEGATIVEY				0x00002000
+#define IL_CUBEMAP_POSITIVEZ				0x00004000
+#define IL_CUBEMAP_NEGATIVEZ				0x00008000
+
+
+// Values
+#define IL_VERSION_NUM						0x0DE2
+#define IL_IMAGE_WIDTH						0x0DE4
+#define IL_IMAGE_HEIGHT						0x0DE5
+#define IL_IMAGE_DEPTH						0x0DE6
+#define IL_IMAGE_SIZE_OF_DATA				0x0DE7
+#define IL_IMAGE_BPP						0x0DE8
+#define IL_IMAGE_BYTES_PER_PIXEL			0x0DE8
+#define IL_IMAGE_BITS_PER_PIXEL				0x0DE9
+#define IL_IMAGE_FORMAT						0x0DEA
+#define IL_IMAGE_TYPE						0x0DEB
+#define IL_PALETTE_TYPE						0x0DEC
+#define IL_PALETTE_SIZE						0x0DED
+#define IL_PALETTE_BPP						0x0DEE
+#define IL_PALETTE_NUM_COLS					0x0DEF
+#define IL_PALETTE_BASE_TYPE				0x0DF0
+#define IL_NUM_IMAGES						0x0DF1
+#define IL_NUM_MIPMAPS						0x0DF2
+#define IL_NUM_LAYERS						0x0DF3
+#define IL_ACTIVE_IMAGE						0x0DF4
+#define IL_ACTIVE_MIPMAP					0x0DF5
+#define IL_ACTIVE_LAYER						0x0DF6
+#define IL_CUR_IMAGE						0x0DF7
+#define IL_IMAGE_DURATION					0x0DF8
+#define IL_IMAGE_PLANESIZE					0x0DF9
+#define IL_IMAGE_BPC						0x0DFA
+#define IL_IMAGE_OFFX						0x0DFB
+#define IL_IMAGE_OFFY						0x0DFC
+#define IL_IMAGE_CUBEFLAGS					0x0DFD
+#define IL_IMAGE_ORIGIN						0x0DFE
+
+
+//
+// Section shamelessly modified from the glut header.
+//
+
+// This is from Win32's <windef.h>
+#if (_MSC_VER >= 800) || defined(_STDCALL_SUPPORTED) || defined(__BORLANDC__) || defined(__LCC__)
+	#define ILAPIENTRY __stdcall 
+	#define IL_PACKSTRUCT
+//#elif defined(linux) || defined(MACOSX) || defined(__CYGWIN__) //fix bug 840364
+#elif defined( __GNUC__ )
+  // this should work for any of the above commented platforms 
+  // plus any platform using GCC
+	#define ILAPIENTRY
+	#define IL_PACKSTRUCT __attribute__ ((packed))
+#else
+	#define ILAPIENTRY
+	#define IL_PACKSTRUCT
+#endif
+
+// This is from Win32's <wingdi.h> and <winnt.h>
+#if defined(__LCC__)
+	#define ILAPI __stdcall
+#elif defined(_WIN32) //changed 20031221 to fix bug 840421
+	#ifdef IL_STATIC_LIB
+		#define ILAPI
+	#else
+		#ifdef _IL_BUILD_LIBRARY
+			#define ILAPI __declspec(dllexport)
+		#else
+			#define ILAPI __declspec(dllimport)
+		#endif
+	#endif
+#elif __APPLE__
+	#define ILAPI extern
+#else
+	#define ILAPI
+#endif
+
+
+#define IL_SEEK_SET	0
+#define IL_SEEK_CUR	1
+#define IL_SEEK_END	2
+#define IL_EOF		-1
+
+
+// Callback functions for file reading
+typedef void* ILHANDLE;
+typedef ILvoid		(ILAPIENTRY *fCloseRProc)(ILHANDLE);
+typedef ILboolean	(ILAPIENTRY *fEofProc)   (ILHANDLE);
+typedef ILint		(ILAPIENTRY *fGetcProc)  (ILHANDLE);
+typedef ILHANDLE	(ILAPIENTRY *fOpenRProc) (const ILstring);
+typedef ILint		(ILAPIENTRY *fReadProc)  (void*, ILuint, ILuint, ILHANDLE);
+typedef ILint		(ILAPIENTRY *fSeekRProc) (ILHANDLE, ILint, ILint);
+typedef ILint		(ILAPIENTRY *fTellRProc) (ILHANDLE);
+
+// Callback functions for file writing
+typedef ILvoid		(ILAPIENTRY *fCloseWProc)(ILHANDLE);
+typedef ILHANDLE	(ILAPIENTRY *fOpenWProc) (const ILstring);
+typedef ILint		(ILAPIENTRY *fPutcProc)  (ILubyte, ILHANDLE);
+typedef ILint		(ILAPIENTRY *fSeekWProc) (ILHANDLE, ILint, ILint);
+typedef ILint		(ILAPIENTRY *fTellWProc) (ILHANDLE);
+typedef ILint		(ILAPIENTRY *fWriteProc) (const void*, ILuint, ILuint, ILHANDLE);
+
+// Callback functions for allocation and deallocation
+typedef ILvoid*		(ILAPIENTRY *mAlloc)(ILuint);
+typedef ILvoid		(ILAPIENTRY *mFree) (ILvoid*);
+
+// Registered format procedures
+typedef ILenum		(ILAPIENTRY *IL_LOADPROC)(const ILstring);
+typedef ILenum		(ILAPIENTRY *IL_SAVEPROC)(const ILstring);
+
+
+// ImageLib Functions
+ILAPI ILboolean		ILAPIENTRY ilActiveImage(ILuint Number);
+ILAPI ILboolean		ILAPIENTRY ilActiveLayer(ILuint Number);
+ILAPI ILboolean		ILAPIENTRY ilActiveMipmap(ILuint Number);
+ILAPI ILboolean		ILAPIENTRY ilApplyPal(const ILstring FileName);
+ILAPI ILboolean		ILAPIENTRY ilApplyProfile(const ILstring InProfile, const ILstring OutProfile);
+ILAPI ILvoid		ILAPIENTRY ilBindImage(ILuint Image);
+ILAPI ILboolean		ILAPIENTRY ilBlit(ILuint Source, ILint DestX, ILint DestY, ILint DestZ, ILuint SrcX, ILuint SrcY, ILuint SrcZ, ILuint Width, ILuint Height, ILuint Depth);
+ILAPI ILvoid		ILAPIENTRY ilClearColour(ILclampf Red, ILclampf Green, ILclampf Blue, ILclampf Alpha);
+ILAPI ILboolean		ILAPIENTRY ilClearImage(ILvoid);
+ILAPI ILuint		ILAPIENTRY ilCloneCurImage(ILvoid);
+ILAPI ILboolean		ILAPIENTRY ilCompressFunc(ILenum Mode);
+ILAPI ILboolean		ILAPIENTRY ilConvertImage(ILenum DestFormat, ILenum DestType);
+ILAPI ILboolean		ILAPIENTRY ilConvertPal(ILenum DestFormat);
+ILAPI ILboolean		ILAPIENTRY ilCopyImage(ILuint Src);
+ILAPI ILuint		ILAPIENTRY ilCopyPixels(ILuint XOff, ILuint YOff, ILuint ZOff, ILuint Width, ILuint Height, ILuint Depth, ILenum Format, ILenum Type, ILvoid *Data);
+ILAPI ILuint		ILAPIENTRY ilCreateSubImage(ILenum Type, ILuint Num);
+ILAPI ILboolean		ILAPIENTRY ilDefaultImage(ILvoid);
+ILAPI ILvoid		ILAPIENTRY ilDeleteImages(ILsizei Num, const ILuint *Images);
+ILAPI ILboolean		ILAPIENTRY ilDisable(ILenum Mode);
+ILAPI ILboolean		ILAPIENTRY ilEnable(ILenum Mode);
+ILAPI ILboolean		ILAPIENTRY ilFormatFunc(ILenum Mode);
+ILAPI ILvoid		ILAPIENTRY ilGenImages(ILsizei Num, ILuint *Images);
+ILAPI ILubyte*		ILAPIENTRY ilGetAlpha(ILenum Type);
+ILAPI ILvoid            ILAPIENTRY ilModAlpha( ILint AlphaValue );
+ILAPI ILvoid            ILAPIENTRY ilSetAlpha( ILuint AlphaValue );
+ILAPI ILboolean		ILAPIENTRY ilGetBoolean(ILenum Mode);
+ILAPI ILvoid		ILAPIENTRY ilGetBooleanv(ILenum Mode, ILboolean *Param);
+ILAPI ILubyte*		ILAPIENTRY ilGetData(ILvoid);
+ILAPI ILuint		ILAPIENTRY ilGetDXTCData(ILvoid *Buffer, ILuint BufferSize, ILenum DXTCFormat);
+ILAPI ILenum		ILAPIENTRY ilGetError(ILvoid);
+ILAPI ILint             ILAPIENTRY ilGetInteger(ILenum Mode);
+ILAPI ILvoid		ILAPIENTRY ilGetIntegerv(ILenum Mode, ILint *Param);
+ILAPI ILuint		ILAPIENTRY ilGetLumpPos(ILvoid);
+ILAPI ILubyte*		ILAPIENTRY ilGetPalette(ILvoid);
+ILAPI const ILstring    ILAPIENTRY ilGetString(ILenum StringName);
+ILAPI ILvoid		ILAPIENTRY ilHint(ILenum Target, ILenum Mode);
+ILAPI ILvoid		ILAPIENTRY ilInit(ILvoid);
+ILAPI ILboolean		ILAPIENTRY ilIsDisabled(ILenum Mode);
+ILAPI ILboolean		ILAPIENTRY ilIsEnabled(ILenum Mode);
+ILAPI ILboolean		ILAPIENTRY ilIsImage(ILuint Image);
+ILAPI ILboolean		ILAPIENTRY ilIsValid(ILenum Type, const ILstring FileName);
+ILAPI ILboolean		ILAPIENTRY ilIsValidF(ILenum Type, ILHANDLE File);
+ILAPI ILboolean		ILAPIENTRY ilIsValidL(ILenum Type, ILvoid *Lump, ILuint Size);
+ILAPI ILvoid		ILAPIENTRY ilKeyColour(ILclampf Red, ILclampf Green, ILclampf Blue, ILclampf Alpha);
+ILAPI ILboolean		ILAPIENTRY ilLoad(ILenum Type, const ILstring FileName);
+ILAPI ILboolean		ILAPIENTRY ilLoadF(ILenum Type, ILHANDLE File);
+ILAPI ILboolean		ILAPIENTRY ilLoadImage(const ILstring FileName);
+ILAPI ILboolean		ILAPIENTRY ilLoadL(ILenum Type, ILvoid *Lump, ILuint Size);
+ILAPI ILboolean		ILAPIENTRY ilLoadPal(const ILstring FileName);
+ILAPI ILboolean		ILAPIENTRY ilOriginFunc(ILenum Mode);
+ILAPI ILboolean		ILAPIENTRY ilOverlayImage(ILuint Source, ILint XCoord, ILint YCoord, ILint ZCoord);
+ILAPI ILvoid		ILAPIENTRY ilPopAttrib(ILvoid);
+ILAPI ILvoid		ILAPIENTRY ilPushAttrib(ILuint Bits);
+ILAPI ILvoid		ILAPIENTRY ilRegisterFormat(ILenum Format);
+ILAPI ILboolean		ILAPIENTRY ilRegisterLoad(const ILstring Ext, IL_LOADPROC Load);
+ILAPI ILboolean		ILAPIENTRY ilRegisterMipNum(ILuint Num);
+ILAPI ILboolean		ILAPIENTRY ilRegisterNumImages(ILuint Num);
+ILAPI ILvoid		ILAPIENTRY ilRegisterOrigin(ILenum Origin);
+ILAPI ILvoid		ILAPIENTRY ilRegisterPal(ILvoid *Pal, ILuint Size, ILenum Type);
+ILAPI ILboolean		ILAPIENTRY ilRegisterSave(const ILstring Ext, IL_SAVEPROC Save);
+ILAPI ILvoid		ILAPIENTRY ilRegisterType(ILenum Type);
+ILAPI ILboolean		ILAPIENTRY ilRemoveLoad(const ILstring Ext);
+ILAPI ILboolean		ILAPIENTRY ilRemoveSave(const ILstring Ext);
+ILAPI ILvoid		ILAPIENTRY ilResetMemory(ILvoid);
+ILAPI ILvoid		ILAPIENTRY ilResetRead(ILvoid);
+ILAPI ILvoid		ILAPIENTRY ilResetWrite(ILvoid);
+ILAPI ILboolean		ILAPIENTRY ilSave(ILenum Type, const ILstring FileName);
+ILAPI ILuint		ILAPIENTRY ilSaveF(ILenum Type, ILHANDLE File);
+ILAPI ILboolean		ILAPIENTRY ilSaveImage(const ILstring FileName);
+ILAPI ILuint		ILAPIENTRY ilSaveL(ILenum Type, ILvoid *Lump, ILuint Size);
+ILAPI ILboolean		ILAPIENTRY ilSavePal(const ILstring FileName);
+ILAPI ILboolean		ILAPIENTRY ilSetData(ILvoid *Data);
+ILAPI ILboolean		ILAPIENTRY ilSetDuration(ILuint Duration);
+ILAPI ILvoid		ILAPIENTRY ilSetInteger(ILenum Mode, ILint Param);
+ILAPI ILvoid		ILAPIENTRY ilSetMemory(mAlloc, mFree);
+ILAPI ILvoid		ILAPIENTRY ilSetPixels(ILint XOff, ILint YOff, ILint ZOff, ILuint Width, ILuint Height, ILuint Depth, ILenum Format, ILenum Type, ILvoid *Data);
+ILAPI ILvoid		ILAPIENTRY ilSetRead(fOpenRProc, fCloseRProc, fEofProc, fGetcProc, fReadProc, fSeekRProc, fTellRProc);
+ILAPI ILvoid		ILAPIENTRY ilSetString(ILenum Mode, const char *String);
+ILAPI ILvoid		ILAPIENTRY ilSetWrite(fOpenWProc, fCloseWProc, fPutcProc, fSeekWProc, fTellWProc, fWriteProc);
+ILAPI ILvoid		ILAPIENTRY ilShutDown(ILvoid);
+ILAPI ILboolean		ILAPIENTRY ilTexImage(ILuint Width, ILuint Height, ILuint Depth, ILubyte Bpp, ILenum Format, ILenum Type, ILvoid *Data);
+ILAPI ILboolean		ILAPIENTRY ilTypeFunc(ILenum Mode);
+
+ILAPI ILboolean		ILAPIENTRY ilLoadData(const ILstring FileName, ILuint Width, ILuint Height, ILuint Depth, ILubyte Bpp);
+ILAPI ILboolean		ILAPIENTRY ilLoadDataF(ILHANDLE File, ILuint Width, ILuint Height, ILuint Depth, ILubyte Bpp);
+ILAPI ILboolean		ILAPIENTRY ilLoadDataL(ILvoid *Lump, ILuint Size, ILuint Width, ILuint Height, ILuint Depth, ILubyte Bpp);
+ILAPI ILboolean		ILAPIENTRY ilSaveData(const ILstring FileName);
+
+ILAPI ILboolean		ILAPIENTRY ilLoadFromJpegStruct(ILvoid* JpegDecompressorPtr);
+ILAPI ILboolean		ILAPIENTRY ilSaveFromJpegStruct(ILvoid* JpegCompressorPtr);
+
+// For all those weirdos that spell "colour" without the 'u'.
+#define ilClearColor	ilClearColour
+#define ilKeyColor		ilKeyColour
+
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif // __IL_H__
+#endif // __il_h__
+
+#ifdef ALTIVEC
+    #define imemclear(x,y) vec_memclear(x,y);
+#else
+    #define imemclear(x,y) memset(x,0,y);
+#endif
+    
+#ifdef ALTIVEC
+    void vec_memclear( ILvoid *, ILuint );
+#endif
Index: NonGTP/Devil/include/IL/config.h
===================================================================
--- NonGTP/Devil/include/IL/config.h	(revision 191)
+++ NonGTP/Devil/include/IL/config.h	(revision 191)
@@ -0,0 +1,64 @@
+/* include/IL/config.h.  Generated by configure.  */
+/* include/IL/config.h.in.  Generated automatically from configure.in by autoheader.  */
+#ifndef __CONFIG_H__
+#define __CONFIG_H__
+
+/* Supported images formats (il) */
+
+/* #undef IL_NO_BMP */
+/* #undef IL_NO_CUT */
+/* #undef IL_NO_DCX */
+/* #undef IL_NO_DDS */
+/* #undef IL_NO_DOOM */
+/* #undef IL_NO_GIF */
+/* #undef IL_NO_ICO */
+/* #undef IL_NO_JPG */
+//#define IL_NO_LCMS 1
+/* #undef IL_NO_LIF */
+/* #undef IL_NO_MDL */
+//#define IL_NO_MNG 1
+/* #undef IL_NO_PCD */
+/* #undef IL_NO_PCX */
+/* #undef IL_NO_PIC */
+/* #undef IL_NO_PIX */
+/* #undef IL_NO_PNG */
+/* #undef IL_NO_PNM */
+/* #undef IL_NO_PSD */
+/* #undef IL_NO_PSP */
+/* #undef IL_NO_PXR */
+/* #undef IL_NO_RAW */
+/* #undef IL_NO_SGI */
+/* #undef IL_NO_TGA */
+/* #undef IL_NO_TIF */
+/* #undef IL_NO_WAL */
+/* #undef IL_NO_XPM */
+#undef IL_USE_JPEGLIB_UNMODIFIED
+#define IL_USE_JPEGLIB_UNMODIFIED 1
+#define IL_NO_LCMS
+
+/* Supported api (ilut) */
+
+/* #undef ILUT_USE_ALLEGRO */
+//#define ILUT_USE_DIRECTX8 1
+//#define ILUT_USE_DIRECTX9 1
+#define ILUT_USE_OPENGL 1
+//#define ILUT_USE_SDL 1
+#define ILUT_USE_WIN32 1
+
+
+/* Define if you have the <dlfcn.h> header file. */
+/* #undef HAVE_DLFCN_H */
+
+/* Name of package */
+#define PACKAGE "DevIL"
+
+/* Version number of package */
+#define VERSION "1.6.6"
+
+/* Define if your processor stores words with the most significant byte first
+   (like Motorola and SPARC, unlike Intel and VAX). */
+/* #undef WORDS_BIGENDIAN */
+
+/* Define if the X Window System is missing or not being used. */
+#define X_DISPLAY_MISSING 1
+#endif /* __CONFIG_H__ */
Index: NonGTP/Devil/include/IL/stamp-h.in
===================================================================
--- NonGTP/Devil/include/IL/stamp-h.in	(revision 191)
+++ NonGTP/Devil/include/IL/stamp-h.in	(revision 191)
@@ -0,0 +1,1 @@
+timestamp
